#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 10. Graphics and Font Libraries

- Prev

  libraw-0.20.2

- Next

  Libspiro-20200505

- Up
- Home

# librsvg-2.50.3

## Introduction to librsvg

The librsvg package contains a library and tools used to manipulate, convert and view Scalable Vector Graphic (SVG) images.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/librsvg/2.50/librsvg-2.50.3.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/librsvg/2.50/librsvg-2.50.3.tar.xz

- Download MD5 sum: aa965ac365fb1078cfb23ee11c6ce4e0

- Download size: 18 MB

- Estimated disk space required: 1.2 GB (97 MB installed), add 987 MB for tests

- Estimated build time: 1.2 SBU (Using parallelism=4), add 1.3 SBU for tests

### librsvg Dependencies

#### Required

gdk-pixbuf-2.42.2, Cairo-1.17.2+f93fc72c03e, Pango-1.48.2, and rustc-1.47.0

#### Recommended

gobject-introspection-1.66.1 and Vala-0.50.3

#### Optional

GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/librsvg

## Installation of librsvg

Install librsvg by running the following commands:

    ./configure --prefix=/usr    \
                --enable-vala    \
                --disable-static \
                --docdir=/usr/share/doc/librsvg-2.50.3 &&
    make

To test the results, issue: make check. Many of the tests in 'reftests' may fail (44 in November 2020) because they produce, and then diff, graphic files with text and the details such as spacing vary when the system versions of cairo, freetype, pixman, pango and perhaps harfbuzz differ from the versions on the system where the reference files were created.

Now, as the `root` user:

    make install

### Note

If you installed the package on to your system using a “DESTDIR” method, an important file was not installed and should be copied and/or generated. Generate it using the following command as the `root` user:

    gdk-pixbuf-query-loaders --update-cache

## Command Explanations

`--enable-vala`: This switch enables building of the Vala bindings. Remove this switch if you don't have Vala-0.50.3 installed.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-introspection`: Use this switch if you have not installed Gobject Introspection.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: rsvg-convert
Installed Library: librsvg-2.so and libpixbufloader-svg.so
Installed Directories: /usr/include/librsvg-2.0, /usr/share/doc/librsvg-2.50.3, and /usr/share/gtk-doc/html/rsvg-2.0

### Short Descriptions

rsvg-convert | is used to convert images into PNG, PDF, PS, SVG and other formats
`librsvg-2.so` | provides the functions to render Scalable Vector Graphics
`libpixbufloader-svg.so` | is the Gdk Pixbuf plugin that allows GTK+ applications to render Scalable Vector Graphics images

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  libraw-0.20.2

- Next

  Libspiro-20200505

- Up
- Home